%define name 	libdvdplay
%define version	1.0.1
%define release	5mdk

%define mdkversion		%(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)
%define major  	0
%if %mdkversion >= 910
%define libname %mklibname dvdplay %{major}
%else
%define libname libdvdplay%{major}
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        A portable abstraction library for DVD menus support
Source:		%{name}-%{version}.tar.bz2
License:	GPL
Group:		System/Libraries
URL:		http://developers.videolan.org/libdvdplay/
BuildRoot:	%_tmppath/%name-%version-%release-root
Buildrequires:	libdvdread-devel >= 0.9.4

%description
libdvdplay is a portable abstraction library for DVD menus support, it
provides a simple API to access a DVD device as a block device.

This package contains the %libname runtime library.   

%package -n %{libname}
Summary:        A portable abstraction library for DVD menus support
Group:          System/Libraries
Provides:       %name = %version-%release

%description -n %{libname}
libdvdplay is a portable abstraction library for DVD menus support, it
provides a simple API to access a DVD device as a block device.

This package contains the %libname runtime library. 

%package -n %{libname}-devel
Summary:        Development tools for programs which will use the %{name} library
Group:          Development/C
Requires:	%{libname} = %version-%release
Provides:       %{name}-devel = %version-%release
 
%description -n %{libname}-devel
The %{name}-devel package includes the header files and static libraries
necessary for developing programs which will manipulate DVDs files using
the %{name} library.
 
If you are going to develop programs which will manipulate DVDs, you
should install %{name}-devel.  You'll also need to have the %{name}
package installed.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%clean
[ %buildroot != "/" ] && rm -Rf %buildroot

%post -n %{libname} -p /sbin/ldconfig
 
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README THANKS TODO
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc ChangeLog AUTHORS COPYING NEWS README THANKS TODO
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*

%changelog
* Thu Feb 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-5mdk
- support mdk 9.0
- throw out red hat stuff

* Mon Jul 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-4mdk
- require newer dvdread

* Thu Jul 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-3mdk
- rebuild for new rpm

* Tue Apr  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-2mdk
- mklibname macro
- new dvdread

* Mon Feb 03 2003 Yves Duret <yves@zarb.org> 1.0.0-1mdk
- first release

* Mon Oct 28 2002 Yves Duret <yves@zarb.org> 0.1.0-1
- first spec file
